Subject: bug#44932: 28.0.50; MINIBUF 'nomini' for window-in-direction

From: martin rudalics <[email-masked]>
Date: Mon, 30 Nov 2020 10:05:41 +0100

>> One day we should make up our mind whether we want this arg to be called
 >> MINI, MINIBUF or MINIBUFFER.  I have no personal preference but the
 >> current state (in particular on the C-level) confuses the hell out of
 >> me.
 >
 > I think MINIBUF is the shortest that is still unambiguous.

It gives the impression that it stands for a buffer where it means a
window that may also display the echo area.  'resize-mini-windows' and
'max-mini-window-height' tried to establish the "mini-windows (the
minibuffer and the echo area)" nomenclature and we now take a step back
in the other direction?

 > Now at least renaming in window-in-direction is pushed to master.

And left MINI in the .texi file.  I spent some time trying to make
manual and doc-strings congruent in this regard ...

martin